:root {
    --color-primary: #4e73df;
    --color-danger: #f5365c;
    --color-success: #2dce89;
    --color-warning: #ffbb55;
    --color-white: #fff;
    --color-info-dark: #7d8da1;
    --color-info-light: #dce1eb;
    --color-dark: #858796;
    --color-light: rgba(132, 139, 200, 0.18);
    --color-primary-variant: #36b9cc;
    --color-dark-variant: #677483;
    --color-background: #f6f6f9;
    --color-logo: #1d2124;
    --color-body: #1d2124;
    --color-box: #eeeeee;
    --color-logoRed: rgba(255, 25, 25, 0.6);
    --color-logoWhite: rgba(255, 255, 255, 0.6) --card-border-radius:20px;
    --border-radius-1: 0.4rem;
    --border-radius-2: 0.8rem;
    --border-radius-3: 1.2rem;

    --card-padding: 20px;
    --padding: 1rem;
    --padding-1: 1.2rem;

    --box-shadow: 0 0.125rem 0.25rem var(--color-light);
}

@font-face {
    font-family: 'font';
    font-style: normal;
    font-weight: normal;
    src: local('Trebuchet MS'), url('../trebuc.woff') format('woff');
}

/* dark theme variable*/
.dark-theme-variables {
    --color-background: #181a1e;
    --color-white: #202528;
    -color-dark: #edeffd;
    -color-dark-variant: #a3bdcc;
    --color-light: rgba(0, 0, 0, 0.4);
    --color-logo: #ffff;
    --box-shadow: 0 2rem 3rem var(--color-light);
    --color-body: white;
    --color-box: #202528;
    --color-danger: brown;
    --color-success: #3e8989;
    --color-primary: #004e98;
}

* {
    margin: 0;
    padding: 0;
    outline: 0;
    appearance: none;
    border: 0;
    text-decoration: none;
    list-style: none;
    box-sizing: border-box;
}

html {
    font-size: 14px;
}

body {
    font-family: poppins, sans-serif;
    font-size: 0.88rem;
    background: var(--color-background);
    overflow-x: hidden;
    color: var(--color-body);
    font-family: 'font';

}

.main-container {
    display: grid;
    width: 100%;
    margin: 0 auto;
    gap: 1.8rem;
    grid-template-columns: 14rem auto;
}

a {
    color: var(--color-dark);
}

h1 {
    font-weight: 800;
    font-size: 1.8rem;
}

h2 {
    font-size: 1.4rem;
}

h3 {
    font-size: 0.93rem;
}

h4 {
    font-size: 0.8rem;
}

h5 {
    font-size: 0.77rem;
}

small {
    font-size: 0.75rem
}

.bg-primary {
    background: var(--color-primary);
}

.card {
    background: var(--color-white);
}

.bg-light {
    background: var(--color-white);

}

.bg-white {
    background: var(--color-white);

}

h2 .button {
    padding: 7px;
    font-size: 12px;
    color: white;
    background: var(--color-success);
    border-radius: 3px;
    margin-bottom: 20px;
    margin-left: 10px;
}

.bg-primary-variant {
    background: var(--color-primary-variant);
}

.bg-success {
    background: var(--color-success);
}

.bg-danger {
    background: var(--color-danger);
}

.bg-warning {
    background: var(--color-warning);
}

.bg-light {
    background: var(--color-logo);
}

#span {
    margin-right: 5px;
}

.text-muted {
    color: var(--color-info-dark);
}

.center {
    display: flex;
    justify-content: center;
}

p {
    color: var(--color-dark-variant);
}

.primary {
    color: var(--color-primary);
}

.danger {
    color: var(--color-danger);
}

.success {
    color: var(--color-success);
}

.warning {
    color: var(--color-warning);
}

.info-dark {
    color: var(--color-info-dark)
}

aside {
    height: 100vh;
    overflow-y: scroll;
    background-color: var(--color-white);
    margin-left: -26px;
    padding-left: 20px;
    display: fixed;
    left: 0;
    top: 0;
    bottom: 0;
}

aside::-webkit-scrollbar {
    display: none;
}

aside .top {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 1.4rem;
}

aside .logo {
    display: flex;
    gap: 0.8rem;
}

aside .logo a {
    height: 50px;
    margin-left: 30px;
    font-size: 16px;
    font-weight: 900;
    text-shadow: 1px 1px 1px var(--color-logoWhite);
    color: var(--color-logo);
}

aside .logo span {
    color: var(--color-danger);
    text-shadow: 1px 1px 1px var(--color-logoRed);
}

.mainHeader {
    margin-top: 20px;
}

aside .close {
    display: none;
    position: relative;
    top: -13px;
    padding: 5px;
    margin-right: 10px;
    border: 1.5px solid var(--color-dark);
    border-radius: 3px;

}

main {
    gap: 20px;
}

.mainContent {
    height: 100vh;
    overflow-y: scroll;
}

.mainContent::-webkit-scrollbar {
    display: none;
}



/* sidebar */

aside .sidebar {
    display: flex;
    flex-direction: column;
}

aside h3 {
    font-size: 500;
}

aside .sidebar a,
aside .sidebar div ul li a {
    display: flex;
    color: var(--color-info-dark);
    margin-left: 2rem;
    gap: 1rem;
    align-items: center;
    position: relative;
    height: 3.7rem;
    cursor: pointer;
    transition: all 300ms ease;
}

aside .sidebar div a h3 {
    cursor: pointer;
}

aside .sidebar a span {
    font-size: 1.8rem;
    transition: all 300ms ease;
}

.display {
    display: none;
}

.displayTrue {
    display: block;
}

aside .sidebar .dropdown-menu  li a{
    margin-left: 5px;
}

#span {
    font-size: 1rem;
    transition: all 300ms ease;
}


aside .sidebar a.last {
    padding-top: 50px;
}

aside .sidebar a.active {
    background-color: var(--color-light);
    color: var(--color-success);
    margin-left: 0;
}

aside .sidebar a.active:before {
    content: "";
    width: 6px;
    height: 100%;
    background: var(--color-success);
}

aside .sidebar a.active span {
    color: var(--color-success);
    margin-left: calc(1rem-3px);
}

aside .sidebar a:hover {
    color: var(--color-success);

}

aside .sidebar a:hover span {
    margin-left: 1rem;

}

/*main*/
main {
    margin-top: 1.4rem;
    margin-bottom: 1.4rem;
    width: 100%;
}


main .insights {
    width: 97%;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 0.8rem;
}

main .insights>div {
    background: var(--color-white);
    padding: var(--card-padding);
    border-radius: 10px;
    margin-top: 1rem;
    box-shadow: var(--box-shadow);
    transition: all 300ms ease;
}

main .insights>div:hover {
    box-shadow: none;
}

main .insights>div .middle {
    display: flex;
    align-items: center;
    justify-content: space-between;

}

main .insights h3 {
    margin: 1rem 0 0.6rem;
    font-size: 1rem;
}

main .insights .progress {
    position: relative;
    border-radius: 58%;
}

main .insights .progress .number {
    position: absolute;
    top: 10px;
    left: -50px;
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

main .insights .number span {
    line-height: 40px;
    font-size: 40px;
}


main .insights .sales span {
    color: var(--color-primary);
}

main .insights .last span {
    color: var(--color-primary-variant);
}

main .insights .expenses span {
    color: var(--color-danger);
}

main .insights .income span {
    color: var(--color-success);
}

main .insights small {
    margin-top: 1.3rem;
    display: block;
}

/* recent orders*/

main .recent-orders {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-top: 20px;
    width: 100%;
    max-width: 900px;

}

main .recent-orders h2 {
    margin-bottom: 0.8rem;
}


table{
    -webkit-animation: swing-in-top-fwd 0.5s cubic-bezier(0.175, 0.885, 0.320, 1.275) both;
	        animation: swing-in-top-fwd 0.5s cubic-bezier(0.175, 0.885, 0.320, 1.275) both;

}

/**
 * ----------------------------------------
 * animation swing-in-top-fwd
 * ----------------------------------------
 */
 @-webkit-keyframes swing-in-top-fwd {
  0% {
    -webkit-transform: rotateX(-100deg);
            transform: rotateX(-100deg);
    -webkit-transform-origin: top;
            transform-origin: top;
    opacity: 0;
  }
  100% {
    -webkit-transform: rotateX(0deg);
            transform: rotateX(0deg);
    -webkit-transform-origin: top;
            transform-origin: top;
    opacity: 1;
  }
}
@keyframes swing-in-top-fwd {
  0% {
    -webkit-transform: rotateX(-100deg);
            transform: rotateX(-100deg);
    -webkit-transform-origin: top;
            transform-origin: top;
    opacity: 0;
  }
  100% {
    -webkit-transform: rotateX(0deg);
            transform: rotateX(0deg);
    -webkit-transform-origin: top;
            transform-origin: top;
    opacity: 1;
  }
}

main .recent-orders .pagination {
    display: flex;
    justify-content: center;
    margin: 1rem auto;

}

main .recent-orders .pagination li {
    display: inline-block;

}

/*league container*/

main>.match {
    background-color: var(--color-white);
    width: 100%;
    max-width: 900px;
    margin: 10px;
    border-radius: var(--card-border-radius);
    padding: var(--card-padding);
    color: var(--color-logo);
    text-align: center;
    box-shadow: var(--box-shadow);
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
    transition: all 300ms ease;
}

main>.match a,
.matchLow a {
    margin: 1rem auto;
    font-weight: bold;
    color: var(--color-info-dark);
}

.matchLow {
    background-color: var(--color-white);
    width: 60%;
    margin-top: 2rem;
    margin-bottom: 3rem;
    border-radius: var(--card-border-radius);
    padding: var(--card-padding);
    text-align: center;
    box-shadow: var(--box-shadow);
    transition: all 300ms ease;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

main .fixture {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;

}

main .fixture .matchs h3,
main .fixture .events h3 {
    text-align: center;

}

main .fixture .matchs .match,
main .events .event {
    margin: 20px 10px;
    padding: 30px;
    width: 100%;
    max-width: 600px;
    background: var(--color-white);
    padding: 15px;
    border-radius: 20px;

}

main .events .event.analytics {
    margin: 20px 10px;
    padding: 30px;
    width: 100%;
    max-width: 400px;
    background: var(--color-white);
    padding: 15px;
    border-radius: 20px;

}

main .fixture .matchs .match div,
main .events .event div {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 10px;
}

/*for analytics*/
main .events .event.five div {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 1px;
}

main .events .event.four div {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 1px;
}

main .fixture .matchs .match.four div {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 1px;
}

main .events .event.analytics div {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 10px;
}

main .fixture .matchs .match div span,
main .events .event div span {
    text-align: center;
    margin: 20px;
}

main .events .links {
    display: flex;
    justify-content: center;
    margin-top: 30px;
    gap: 10px;
}

main .events .links a {
    padding: 15px;
    color: white;
    background: var(--color-primary);
    border-radius: 5px;

}

main .events .links a:hover {
    color: var(--color-primary);
    background: transparent;
    border: 1px solid var(--color-primary);

}

/*form speed*/
.containers {
    position: absolute;
    left: 40%;
    top: 15%;
    width: 100%;
    max-width: 400px;
    margin-bottom: 20px;
    border-radius: 10px;
    z-index: 1;
    background-color: var(--color-white);

}

@media screen and (max-width:1000px) {
    .containers {
        position: absolute;
        left: 20%;

    }
}

@media screen and (max-width:600px) {
    .containers {
        position: absolute;
        left: 3%;
        right: 3%;

    }
}


.containers .speed {
    display: flex;
    flex-direction: column;
    padding: 20px;
}

.containers h2 {
    font-weight: bold;
    padding-top: 20px;
    text-align: center;
}

.speed .review {
    color: var(--color-danger);
    font-weight: bold;
    padding-bottom: 20px;
}

.speed .review h2 {
    display: flex;
    justify-content: space-between;
    margin: 10px;
    color: var(--color-logo);
}

.speed label {
    font-weight: bold;
    font-size: 14px;
    position: relative;
    bottom: 10px;
    right: 15px;
}

table {
    font-size: 15px;
}

.speed input[type="text"],
.speed input[type="date"],
.speed input[type="email"],
.speed input[type="password"],
.speed input[type="time"],
.speed select,
.speed textarea {
    padding: 10px;
    outline: none;
    margin-bottom: 20px;
    font-family: inherit;
    font-size: inherit;
    line-height: inherit;
    /* border: 2px solid var(--color-dark); */
    border-radius: 10px;
    width: 100%;
    background: transparent;
    color: var(--color-logo);

}

.speed .button {
    display: flex;
    gap: 5px;
}

.speed button {

    background-color: var(--color-success);
    color: white;
    padding: 10px;
    border-radius: 10px;
    margin: 10px;
    font-size: 14px;
    font-weight: bold;
    width: 100%;
}

.speed button:hover {
    background-color: transparent;
    font-weight: bold;
    color: var(--color-success);
    border: 2px solid var(--color-success);
}


.speed textarea {
    height: 100px;
}

.speed label {
    margin-left: 20px;
}

/*right side of the app*/
.right {
    position: absolute;
    right: 0;
    top: 0px;
    margin-top: 1rem;
    margin-right: 1rem;
}

.right .top {
    display: flex;
    justify-content: flex-end;
    gap: 2rem;
}

.right .top button#menu-btn {
    display: none;
}

.right .date {
    display: inline-block;
    background-color: var(--color-light);
    border-radius: var(--border-radius-1);
    margin-top: 0.5rem;
    padding: 0.5rem 0px 0.5rem 1.6rem;

}

.right .date form input[type="date"] {
    background: transparent;
    color: var(--color-dark);
    margin-right: 5px;
}

.right .date form button[type="submit"] {
    background-color: var(--color-logo);
    color: var(--color-white);
    width: 30px;
    height: 30px;
    border-radius: 50%;
}

.right .theme-toggle {
    border: 1px solid var(--color-white);
    margin-top: 5px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-radius: var(--border-radius-1);
    width: 4.4rem;
}

.right .theme-toggle span {
    padding: 10px;
}

.right .theme-toggle .active {
    background-color: var(--color-success);
    color: var(--color-white);
}

.right .theme-toggle {
    background-color: var(--color-light);
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
    border-radius: var(--border-radius-1);
}

/*punter style*/
#butt {
    padding: 1rem 1.5rem;
    display: flex;
}

#butt a {
    list-style: none;
    flex: 0 0 auto;
    object-fit: cover;
    cursor: pointer;
    font-size: .875rem;
    width: fit-content;
    color: var(--color-logo);
    background: transparent;
    border: 1px solid var(--color-logo);
    padding: 10px;
    border-radius: 10px;
    -webkit-transition: all 0.3s ease;
    overflow: hidden;
    transform: scale(.95);
    transition: all .3s;
}

#butt .active {
    color: var(--color-primary);
    border: 1px solid var(--color-primary);
}

#butt a:hover {
    border: none;
}

#butt a sup {
    padding: 2px;
}

/*card for generating tips*/

.overview {
    margin: 20px;
    border-radius: 5px;
}

.overview div {
    width: 100%;
    max-width: 400px;
    background-color: var(--color-white);
    border-radius: 5px;
    height: 20vh;

}

.overview h5 {
    color: var(--color-white);
    background-color: var(--color-primary);
    font-size: medium;
    padding: 10px;
}

.overview p {
    padding: 10px;
    margin-bottom: 10px;
    font-size: 14px;
}

.overview a,
.specialLink a {
    padding: 10px;
    border: 2px solid var(--color-primary);
    color: var(--color-primary);
    font-weight: bold;
    border-radius: 5px;
    margin: 7px;
    margin-top: 15px;
}

.overview a:hover,
.specialLink a:hover {
    color: white;
    background-color: var(--color-primary);
}

/* special link */
.specialLink {
    display: flex;
    justify-content: center;
    margin: 10px;
}

.specialLink a {
    color: white;
    background-color: var(--color-primary);

}

.specialLink a:hover {
    background: transparent;
    border: 2px solid var(--color-primary);
    color: var(--color-primary);
}

/* today stats */
main .daily {
    margin-left: 1rem;
    margin-top: 2rem;
    margin-bottom: 2rem;
    display: flex;
    align-self: center;
    gap: 2rem;
}

main .daily h2 {
    display: flex;
    align-self: flex-start;
    padding-top: 10px;
}

main .daily .badges {
    display: flex;
    gap: 1rem;
    align-self: center;
    flex-wrap: wrap;
    max-width: 100%;
}

main .daily .badge span {
    width: 7px;
    height: 7px;
    border-radius: 50%;
}

main .daily .badge {
    padding: 15px;
    background: var(--color-white);
    border-radius: 10px;
    display: flex;
    align-items: center;
    gap: 1rem;
}

main .daily .badge div {
    display: flex;
    gap: 2rem;
    align-self: center;

}

main .daily .badge h4 {
    font-size: 12px;

}

main .daily .badge h5 {
    font-size: 13px;

}

/* chart */
.chartSection h6 {
    color: var(--color-primary);
    font-weight: bold;
    font-size: 18px;
    padding-bottom: 20px;

}

.chart-area {
    background: var(--color-white);
    width: 95%;
    height: 300px;
    ;
    border-radius: 10px;
    padding: 20px;
    margin-right: 20px;
    box-shadow: var(--box-shadow);

}

/* faq */
.box {
    width: 72%;
    margin: 10px auto;
    border-radius: 7px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
    top: 100px;

}

.box h2 a {
    font-size: 13px;
    color: var(--color-danger);
    border: 1px solid var(--color-danger);
    padding: 8px;
    margin-left: 10px;
    border-radius: 3px;
}


.faqs {
    padding: 10px 20px 20px;
    width: 600px;

}

.faqs .buttons {
    display: flex;
    flex-direction: row;

}

.faqs .buttons button {
    background: transparent;
    border: none;
    outline: none;
    color: var(--color-danger);
    font-size: 14px;
    margin-right: 5px;
    font-weight: bold;
}
.faqs .buttons button.edit {

    color: var(--color-primary);
}

.message {
    background: #243010;
    color: white;
    padding: 10px;
    margin: 10px;
    font-size: 14;
    border-radius: 7px;
    width: fit-content;
}

::-webkit-details-marker {
    float: right;
    margin-top: 3px;

}

details {
    color: var(--color-logo);
    background: var(--color-box);
    /* border: 1px solid #1d2124; */
    padding: 10px 20px;
    border-radius: 7px;
    margin-top: 10px;
    font-size: 14px;
    font-weight: bold;
    letter-spacing: 1px;
    cursor: pointer;
}

details p {
    font-size: 13px;
    font-weight: normal;
    color: var(--color-logo);
    padding: 10px 15px;

}

details summary {
    outline: none;
    display: flex;
    justify-content: space-between;
}

details summary a {
    color: var(--color-success);
    margin-left: 10px;
}

details summary a:first-child {
    color: var(--color-danger);
}

.date-success {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    background-color: #e8faf8;
    width: 4rem;
    height: 4rem;
    border-radius: 50%;
}

.date-day {
    color: #17d1bd;
    font-weight: 500;
    font-size: 1.5rem;
    line-height: 1;
}

.date-month {
    color: #17d1bd;
    line-height: 1;
    font-size: 1rem;
    text-transform: uppercase;
}

@media screen and (max-width:950px) {
    .box {
        width: 90%
    }
}

@media screen and (max-width:540px) {
    .box {
        width: 95%
    }
}



/* media query*/

@media screen and (max-width:1200px) {
    .container {
        grid-template-columns: 5rem auto;
        gap: 10px;
    }

    aside .logo h2 {
        display: none;
    }

    aside .sidebar h3 {
        display: none;
    }

    /* aside .sidebar a{
       //width: 5.6rem;
    } */
    aside .sidebar a:last-child {
        grid-template-columns: 1fr;
        gap: 0;
    }

    main .insights {
        grid-template-columns: repeat(2, 1fr);
    }

    main .recent-orders {
        width: 94%;
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
        margin: 2rem 0 08.8rem;
    }

    main .recent-orders table {
        width: max-content;
    }
}

/* media query*/
@media screen and (max-width:768px) {
    .container {
        width: 100%;
        grid-template-columns: 1fr;
    }

    aside {
        position: fixed;
        left: 0;
        background-color: var(--color-white);
        width: 18rem;
        z-index: 3;
        box-shadow: 1rem 3rem 4rem var(--color-light);
        display: none;

    }

    aside .logo {
        margin-left: 1rem;
    }

    aside .logo h2 {
        display: inline;
    }

    aside .sidebar h3 {
        display: inline;
    }

    aside .sidebar a {
        margin-left: 20px;
        padding-left: 20px;
    }

    aside .close {
        display: inline-block;
        cursor: pointer;
    }

    main {
        padding: 0 0.5rem;
        margin-top: 3rem;
    }

    main>h1 {
        display: none;
    }

    main .insights {
        margin-top: 40px;
        margin-right: 30px;
        grid-template-columns: 90%;


    }

    main .insights>div {
        margin-top: 10px;
    }


    /* main .recent-orders {
        position: relative;
        width: 100%;
    } */

    /* main .recent-orders table {
        width: 100%;
        margin: 0;
    } */

    .right {
        width: 94%;
        margin: 0 1rem;
        display: flex;
        justify-content: space-between;
    }

    .right .date {
        position: absolute;
        left: 80px;
    }

    .right .top {
        position: fixed;
        top: 0;
        left: 0;
        align-items: center;
        padding: 0 0.8rem;
        height: 4.6rem;
        background-color: var(--color-white);
        width: 100%;
        margin: 0;
        z-index: 2;
        box-shadow: 0 1rem 1rem var(--color-light);
    }

    .right .top .theme-toggle {
        width: 4.4rem;
        position: absolute;
        right: 1rem;
    }

    .right .top button#menu-btn {
        display: inline-block;
        background-color: transparent;
        cursor: pointer;
        color: var(--color-dark);
        position: absolute;
        left: 1rem;
    }

    .right .top button#menu-btn span {
        font-size: 2rem;
    }
}

@media screen and (max-width:450px) {
    main .insights {
        display: grid;
        grid-template-columns: 1fr;
    }

    /* main .recent-orders {
        max-width: 300px;
    } */

    /* main .recent-orders table {
        max-width: 300px;
        overflow: scroll;
    } */
}